###############################################
# Unlimited Base Converter 1.0 for Tcl
# author : Inhak-Min
# e-mail : hak@mingboard.org
###############################################

CC = cl
SHLD = cl /LD 

TCLROOT = C:\TCL

CFLAGS = /D "WIN32" /D "USE_TCL_STUBS"\
	 /nologo /GD /GX\
	 /I"$(TCLROOT)\include"

LDFLAGS = /nologo 

.c.obj:
	$(CC) $(CFLAGS) -c $*.c

LIBS = "$(TCLROOT)\lib\tcl84.lib"\
       "$(TCLROOT)\lib\tk84.lib"\
       "$(TCLROOT)\lib\tclstub84.lib"

baseconv.dll: baseconv.obj
	$(SHLD) /o $@ $(LDFLAGS) baseconv.obj $(LIBS)

clean:
	del baseconv.dll
	del baseconv.obj
